# Interface BaseCalculator

All Known Implementing Classes:
  `BaseErrorCalculator, IndelErrorCalculator, OverlappingReadsErrorCalculator, SimpleErrorCalculator`

public interface BaseCalculator
An interface that can take a collection of bases (provided as `SamLocusIterator.RecordAndOffset` and `SamLocusAndReferenceIterator.SAMLocusAndReference`) and generates a `ErrorMetric` from them.

The Calculator has a suffix which will be used to generate the metric file suffixes.

## Method Summary

Modifier and Type
Method
Description
`void`
`addBase(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)`
The function by which new loci are "shown" to the calculator
`ErrorMetric`
`getMetric()`
Returns the metric generated by the observed loci
`String`
`getSuffix()`
The suffix that pertains to the implementation of aggregation

## Method Details

### getSuffix

String getSuffix()
The suffix that pertains to the implementation of aggregation

### getMetric

ErrorMetric getMetric()
Returns the metric generated by the observed loci

### addBase

void addBase(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)
The function by which new loci are "shown" to the calculator